Upgrade NT 6.5 to NT 7..BIG PROBLEMS! - NinjaTrader | futures io social day trading
futures io futures trading


Upgrade NT 6.5 to NT 7..BIG PROBLEMS!
Updated: Views / Replies:5,614 / 36
Created: by turkmay Attachments:1

Welcome to futures io.

(If you already have an account, login at the top of the page)

futures io is the largest futures trading community on the planet, with over 90,000 members. At futures io, our goal has always been and always will be to create a friendly, positive, forward-thinking community where members can openly share and discuss everything the world of trading has to offer. The community is one of the friendliest you will find on any subject, with members going out of their way to help others. Some of the primary differences between futures io and other trading sites revolve around the standards of our community. Those standards include a code of conduct for our members, as well as extremely high standards that govern which partners we do business with, and which products or services we recommend to our members.

At futures io, our focus is on quality education. No hype, gimmicks, or secret sauce. The truth is: trading is hard. To succeed, you need to surround yourself with the right support system, educational content, and trading mentors Ė all of which you can find on futures io, utilizing our social trading environment.

With futures io, you can find honest trading reviews on brokers, trading rooms, indicator packages, trading strategies, and much more. Our trading review process is highly moderated to ensure that only genuine users are allowed, so you donít need to worry about fake reviews.

We are fundamentally different than most other trading sites:
  • We are here to help. Just let us know what you need.
  • We work extremely hard to keep things positive in our community.
  • We do not tolerate rude behavior, trolling, or vendors advertising in posts.
  • We firmly believe in and encourage sharing. The holy grail is within you, we can help you find it.
  • We expect our members to participate and become a part of the community. Help yourself by helping others.

You'll need to register in order to view the content of the threads and start contributing to our community.  It's free and simple.

-- Big Mike, Site Administrator

Reply
 1  
 
Thread Tools Search this Thread
 

Upgrade NT 6.5 to NT 7..BIG PROBLEMS!

  #31 (permalink)
Elite Member
Houston,Tx
 
Futures Experience: Advanced
Platform: NinjaTrader
Broker/Data: Mirus Futures/Zen-Fire
Favorite Futures: TF
 
ThatManFromTexas's Avatar
 
Posts: 2,302 since Feb 2010
Thanks: 1,208 given, 4,293 received


NinjaTrader View Post
I disagree and I believe others that that read this post would also. What you posted was inaccurate since you put it out of context. What I did was put it back into context. It's really that simple.

Life in denial is more comfortable for some folks than facing reality ... enjoy your stay.

You might add this to your employee reading list.

Please register on futures.io to view futures trading content such as post attachment(s), image(s), and screenshot(s).


Regards,
TMFT

I'm just a simple man trading a simple plan.

My daddy always said, "Every day above ground is a good day!"
Reply With Quote
 
  #32 (permalink)
Elite Member
Marietta, Oh USA
 
Futures Experience: Intermediate
Platform: NinjaTrader
Broker/Data: Zenfire
Favorite Futures: Euro
 
Posts: 173 since Mar 2010
Thanks: 431 given, 204 received

NinjaTrader Issue

Hello,

Can someone please help or offer suggestions.

I'm sure I did something wrong and don't know how to fix it. I am using NT7.0.1000.4. I am missing many/most standard Ninja indicators along with most of my 3rd party ones. They appear in the edit NinjaScript (Tools>Edit NinjaScript>Indicator) but are not present in the indicator preference list when I right click to add an indicator. I am also unable to compile or import an indicator. Please find attached the error message that appears when I try to compile an indicator.

Do I have to scrub and perform a complete Ninja re-install? Any suggestions would certainly be appreciated.

Thanks,
emini

Attached Thumbnails
Upgrade NT 6.5 to NT 7..BIG PROBLEMS!-ninjatrader-issue-5_17_11.png  
Reply With Quote
 
  #33 (permalink)
Elite Member
Berlin, Europe
 
Futures Experience: Advanced
Platform: NinjaTrader, MultiCharts
Broker/Data: Interactive Brokers
Favorite Futures: Keyboard
 
Fat Tails's Avatar
 
Posts: 9,651 since Mar 2010
Thanks: 4,226 given, 25,599 received
Forum Reputation: Legendary



eminitrdr View Post
Hello,

Can someone please help or offer suggestions.

I'm sure I did something wrong and don't know how to fix it. I am using NT7.0.1000.4. I am missing many/most standard Ninja indicators along with most of my 3rd party ones. They appear in the edit NinjaScript (Tools>Edit NinjaScript>Indicator) but are not present in the indicator preference list when I right click to add an indicator. I am also unable to compile or import an indicator. Please find attached the error message that appears when I try to compile an indicator.

Do I have to scrub and perform a complete Ninja re-install? Any suggestions would certainly be appreciated.

Thanks,
emini

This is pretty easy to solve.

(1) Obfuscated assemblies (protected indicators which cannot be edited) for which the author had used the Remotesoft obfuscation tool, will not run on NT 7.0.1000.4. You need to uninstall all those assemblies and cannot use them anymore. For the author it takes a few minutes to upgrade those files with the free protection tool that comes with NinjaTrader 7.0.1000.4.

(2) If you upgraded from NT 6.5 some of the old indicators may not be compatible, some will continue to run.
Do not use assemblies that were coded for NT 6.5. with NT 7.0.1000.4. If you need some more help, send me a private message.

(3) The easiest way to recover is just to do a new install for NT 7.0.1000.4. In a second step you can copy your indicators, workspaces and templates into the folder of the new install (rename your old folder prior to installing). If you need some more help, send me a private message.

(4) If old indicator files do not work, post them here, and we will try to produce an update, if this can be done quickly. For any protected assembly that you used with NT 6.5. you need to contact the author for an update.

Reply With Quote
The following user says Thank You to Fat Tails for this post:
 
  #34 (permalink)
Elite Member
Marietta, Oh USA
 
Futures Experience: Intermediate
Platform: NinjaTrader
Broker/Data: Zenfire
Favorite Futures: Euro
 
Posts: 173 since Mar 2010
Thanks: 431 given, 204 received

Hi FT,

Thanks a lot for the prompt reply. I will proceed with recommendation #3 with a new install. I should be okay. Should I encounter any problems, I'll send you a PM.

I appreciate the help very much. Kudos to the tremendous group here at Big Mike's!

Kind regards,
emini

Reply With Quote
 
  #35 (permalink)
Elite Member
Lagos, Nigeria
 
Futures Experience: Intermediate
Platform: NinjaTrader, SierraChart
Favorite Futures: Euro Currency & Oil
 
lolu's Avatar
 
Posts: 2,440 since Jun 2009
Thanks: 999 given, 1,595 received


Fat Tails View Post
This is pretty easy to solve.

(1) Obfuscated assemblies (protected indicators which cannot be edited) for which the author had used the Remotesoft obfuscation tool, will not run on NT 7.0.1000.4. You need to uninstall all those assemblies and cannot use them anymore. For the author it takes a few minutes to upgrade those files with the free protection tool that comes with NinjaTrader 7.0.1000.4.

Can't I just do the upgrade of these protected files with the free protection tool that comes with 7.0.1000.4. ? Or, the Authors have to do this ? Why do I have to bother an Author that has provided me with these protected indicators free (without charge/fee) ?

Hey Fat, can I PM some of my freely provided protected files to you to upgrade ?

Lolu

Reply With Quote
 
  #36 (permalink)
Elite Member
Berlin, Europe
 
Futures Experience: Advanced
Platform: NinjaTrader, MultiCharts
Broker/Data: Interactive Brokers
Favorite Futures: Keyboard
 
Fat Tails's Avatar
 
Posts: 9,651 since Mar 2010
Thanks: 4,226 given, 25,599 received
Forum Reputation: Legendary


lolu View Post
Can't I just do the upgrade of these protected files with the free protection tool that comes with 7.0.1000.4. ? Or, the Authors have to do this ? Why do I have to bother an Author that has provided me with these protected indicators free (without charge/fee) ?

Hey Fat, can I PM some of my freely provided protected files to you to upgrade ?

Lolu

Hi Lolu,

the author has chosen to protect the file, he could have chosen not to protect it as well, so that you can check what the indicator file does.

Once it is protected, I cannot access it. Otherwise it would not be protected!

If you have protected assemblies, you need to go back to the author. He is the only one, who can easily help you, by replacing the old assembly with a new one.

Reply With Quote
 
  #37 (permalink)
Elite Member
New Orleans
 
Futures Experience: Advanced
Platform: Ninja
Broker/Data: IB
Favorite Futures: TF
 
Posts: 81 since Mar 2010
Thanks: 51 given, 140 received


eminitrdr View Post
Hello,

Can someone please help or offer suggestions.

I'm sure I did something wrong and don't know how to fix it. I am using NT7.0.1000.4. I am missing many/most standard Ninja indicators along with most of my 3rd party ones. They appear in the edit NinjaScript (Tools>Edit NinjaScript>Indicator) but are not present in the indicator preference list when I right click to add an indicator. I am also unable to compile or import an indicator. Please find attached the error message that appears when I try to compile an indicator.

Do I have to scrub and perform a complete Ninja re-install? Any suggestions would certainly be appreciated.

Thanks,
emini

See post #9 of this thread for the easiest, stress-free, non-programmer way to solve your problem.

Reply With Quote

Reply



futures io > > > > Upgrade NT 6.5 to NT 7..BIG PROBLEMS!

Thread Tools Search this Thread
Search this Thread:

Advanced Search



Upcoming Webinars and Events (4:30PM ET unless noted)

Linda Bradford Raschke: Reading The Tape

Elite only

Adam Grimes: TBA

Elite only

NinjaTrader: TBA

January

Ran Aroussi: TBA

Elite only
     

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems Converting NT 6.5 indicators to NT7 Zondor NinjaTrader Programming 68 October 24th, 2014 08:07 AM
Order problems with NT, IB and CL, again vegasfoster NinjaTrader 13 November 10th, 2010 01:15 PM
Problems with GOM CD and NT 7 spx_tdr The Elite Circle 12 July 9th, 2010 01:32 AM
Anyone having any NT Beta 16 Problems that didn't exist in Beta 15? Todd NinjaTrader 17 May 28th, 2010 10:41 AM
NT 6.5 issue - image sometimes stays on screen after I close NT window Todd The Elite Circle 11 March 19th, 2010 10:14 AM


All times are GMT -4. The time now is 05:04 PM.

Copyright © 2017 by futures io, s.a., Av Ricardo J. Alfaro, Century Tower, Panama, +507 833-9432, info@futures.io
All information is for educational use only and is not investment advice.
There is a substantial risk of loss in trading commodity futures, stocks, options and foreign exchange products. Past performance is not indicative of future results.
no new posts
Page generated 2017-12-11 in 0.14 seconds with 20 queries on phoenix via your IP 54.226.132.197